## python-defaults 2.7.18-2

=== debian/changelog ===
python-defaults (2.7.18-2) unstable; urgency=medium

  * Don't ship a duplicate README.Debian in python2-doc. Closes: #966823.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 10:22:34 +0200

python-defaults (2.7.18-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Remove deprecated dh_python2. Please add dh-python or
    dh-sequence-python2 to Build-Depends if your package still supports
    Python 2.X.

  [ Matthias Klose ]
  * Correct command-not-found XB-Cnf headers:
    - Drop Extra-Commands headers, not needed
    - Add XB- to ensure Visible-Pkgname actually is included in the binary
      package heders
  * Stop building the python, python-dev, python-dbg, python-doc,
    python-minimal, libpython-dev, libpython-dbg, libpython-stdlib packages.
  * Bump standards version.
  * Bump version to 2.7.18.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2020 14:51:22 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell lsb_release -cs)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
# first version with Multi-Arch: allowed
PREVVER := 2.7.18~

# not yet allowed
ma_allowed	= yes

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.18~)
endif


PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in \
	    $(if $(ma_allowed),,| grep -v '^Multi-Arch: allowed$$') \
		>debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
#	dh_installdirs -ppython usr/share/doc/python
	dh_install

	touch stamp-install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	dh_installdocs -ppython2-doc debian/README.Debian
	dh_installchangelogs -ppython2-doc

	mkdir -p debian/python2-doc/usr/share/doc/python2
	ln -sf ../python$(VER)-doc/html \
		debian/python2-doc/usr/share/doc/python2/html
	mkdir -p debian/python2-doc/usr/share/doc/python2-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python2-doc/usr/share/doc/python2-doc/html
endif

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	rm -f debian/python2-doc/usr/share/doc/python2/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python2 and python2.1 defaults
	mkdir -p debian/python2-minimal/usr/bin
	ln -sf python$(VER) debian/python2-minimal/usr/bin/python2
	mkdir -p debian/python2-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python2-minimal/usr/share/man/man1/python2.1.gz

	: # 
	mkdir -p debian/python2-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python2-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python2-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python2-minimal/usr/share/man/man1/
	dh_link -ppython2-minimal /usr/share/python/pyversions.py /usr/bin/pyversions

	mkdir -p debian/python2/usr/bin
	ln -sf pydoc$(VER) debian/python2/usr/bin/pydoc2
	ln -sf pygettext$(VER) debian/python2/usr/bin/pygettext2
	ln -sf pdb$(VER) debian/python2/usr/bin/pdb2

	mkdir -p debian/python2/usr/share/python
	install -m 644 debian/python.mk \
		debian/python2/usr/share/python/

	mkdir -p debian/python2/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python2/usr/share/man/man1/pydoc2.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python2/usr/share/man/man1/pygettext2.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python2/usr/share/man/man1/pdb2.1.gz

	mkdir -p debian/python2/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python2/usr/share/pixmaps/python2.xpm

	mkdir -p debian/python2/usr/share/apps/konsole
	cp -p debian/python2.desktop debian/python2/usr/share/apps/konsole/

	: # provide the python2-config default
	mkdir -p debian/python2-dev/usr/bin
	ln -sf python$(VER)-config debian/python2-dev/usr/bin/python2-config
	mkdir -p debian/python2-dev/usr/share/man/man1
	ln -sf python$(VER)-config.1.gz \
		debian/python2-dev/usr/share/man/man1/python2-config.1.gz

	: # provide pkgconfig defaults
	mkdir -p debian/python2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	ln -sf python-$(VER).pc debian/python2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/python2.pc
	mkdir -p debian/python2-dbg/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	ln -sf python-$(VER)-dbg.pc debian/python2-dbg/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/python2-dbg.pc

	: # provide the python2-dbg and python2-dbg.1 defaults
	mkdir -p debian/python2-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python2-dbg/usr/bin/python2-dbg
	ln -sf python$(VER)-dbg-config debian/python2-dbg/usr/bin/python2-dbg-config
	mkdir -p debian/python2-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python2-dbg/usr/share/man/man1/python2-dbg.1.gz
	ln -sf python$(VER)-dbg-config.1.gz \
		debian/python2-dbg/usr/share/man/man1/python2-dbg-config.1.gz
	mkdir -p debian/python2-dbg/usr/share/doc/python2
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python2-dbg/usr/share/doc/python2/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python2-dbg/usr/share/doc/python2/README.debug

	mkdir -p debian/python2/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python2/usr/lib/valgrind/python2.supp

	: # provide the DEB_HOST_GNU_TYPE/DEB_HOST_MULTIRACH python2-config defaults
	mkdir -p debian/libpython2-dev/usr/bin
	ln -sf $(DEB_HOST_MULTIARCH)-python$(VER)-config \
		debian/libpython2-dev/usr/bin/$(DEB_HOST_MULTIARCH)-python2-config
	mkdir -p debian/libpython2-dev/usr/share/man/man1
	ln -sf $(DEB_HOST_MULTIARCH)-python$(VER)-config.1.gz \
		debian/libpython2-dev/usr/share/man/man1/$(DEB_HOST_MULTIARCH)-python2-config.1.gz
ifneq ($(DEB_HOST_MULTIARCH),$(DEB_HOST_GNU_TYPE))
	ln -sf $(DEB_HOST_GNU_TYPE)-python$(VER)-config \
		debian/libpython2-dev/usr/bin/$(DEB_HOST_GNU_TYPE)-python2-config
	ln -sf $(DEB_HOST_GNU_TYPE)-python$(VER)-config.1.gz \
		debian/libpython2-dev/usr/share/man/man1/$(DEB_HOST_GNU_TYPE)-python2-config.1.gz
endif

	mkdir -p debian/libpython2-dbg/usr/bin
	ln -sf $(DEB_HOST_MULTIARCH)-python$(VER)-dbg-config \
		debian/libpython2-dbg/usr/bin/$(DEB_HOST_MULTIARCH)-python2-dbg-config

## python-defaults 2.7.18-3

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

clean:
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

check_versions:
	@set -e;\
	DEFAULT=`sed -rn 's,^DEFAULT = \(([0-9]+)\, ([0-9]+)\),\1.\2,p' debpython/version.py`;\
	SUPPORTED=`sed -rn 's,^SUPPORTED = \[\(([0-9]+)\, ([0-9]+)\)\, \(([0-9]+)\, ([0-9]+)\)\],\1.\2 \3.\4,p' debpython/version.py`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0-9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo "Please update DEFAULT in debpython/version.py ($$DEFAULT vs. $$DEB_DEFAULT)" >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo "Please update SUPPORTED in debpython/version.py ($$SUPPORTED vs. $$DEB_SUPPORTED)" >/dev/stderr; false)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests --with-doctest --with-coverage

.PHONY: clean tests test% check_versions

=== debian/changelog ===
python-defaults (2.7.18-3) unstable; urgency=medium

  * Install pycompile and pyclean accidentally removed in -1

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 Jul 2021 13:17:06 +0200

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.18~),
  lsb-release,
  python-all:any,
  python2.7:any (>= 2.7.18~),
Standards-Version: 4.5.0
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python-defaults

Package: python-all
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python2 (= ${binary:Version}), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python2 runtime versions
 The package currently depends on python2.7, in the future,
 dependencies on jython (Python2 for a JVM) and ironpython (Python2 for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 runtimes.

Package: python-all-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python2 (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python2-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python2 development packages
 The package currently depends on python2.7-dev, in the
 future, dependencies on jython (Python2 for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 development
 packages.

Package: python-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: ${misc:Depends}, python2 (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python2-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python2 debugging packages
 The package currently depends on python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 debug packages.

Package: libpython-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2-dev (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dev
Description: package depending on all supported Python2 development packages
 The package currently depends on libpython2.7-dev, in the
 future, dependencies on jython (Python2 for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 development
 packages.

Package: libpython-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython2-dbg (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dbg
Description: package depending on all supported Python2 debugging packages
 The package currently depends on libpython2.7-dbg, in the
 future, dependencies on jython (Python2 for a JVM) and ironpython (Python2
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python2 debug packages.

Package: python2
Architecture: any
Multi-Arch: allowed
Priority: optional
Pre-Depends: python2-minimal (= ${binary:Version})
Depends: ${misc:Depends}, python2.7 (>= 2.7.18~), libpython2-stdlib (= ${binary:Version})
Suggests: python2-doc (= ${binary:Version}), python-tk (>= 2.7.18~)
Conflicts: python-central (<< 0.5.5)
Breaks: update-manager-core (<< 0.200.5-2), python (<< 2.7.15-2), python2-doc (<< 2.7.18-2)
Replaces: python-dev (<< 2.6.5-2), python (<< 2.7.15-2), python2-doc (<< 2.7.18-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (Python2 version)
 Python2, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: python2-minimal
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.18~), dpkg (>= 1.13.20)
Recommends: python2
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2), python-minimal (<< 2.7.15-2)
Replaces: python (<= 2.7.3-1~), python-minimal (<< 2.7.15-2)
Description: minimal subset of the Python2 language
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.
XB-Cnf-Visible-Pkgname: python2

Package: python2-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python2 (= ${binary:Version}), libpython2-dev (= ${binary:Version}), python2.7-dev (>= 2.7.18~)
Breaks: python-dev (<< 2.7.15-2)
Replaces: python-dev (<< 2.7.15-2)
Description: header files and a static library for Python2
 Header files, a static library and development tools for building
 Python2 modules, extending the Python2 interpreter or embedding Python2
 in applications.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: libpython2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2.7-dev (>= 2.7.18~), ${misc:Depends}
Breaks: libpython-dev (<< 2.7.15-2)
Replaces: libpython-dev (<< 2.7.15-2)
Description: header files and a static library for Python2
 Header files, a static library and development tools for building
 Python2 modules, extending the Python2 interpreter or embedding Python2
 in applications.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: libpython2-stdlib
Architecture: any
Multi-Arch: same
Priority: optional
Depends: libpython2.7-stdlib (>= 2.7.18~), ${misc:Depends}
Breaks: libpython-stdlib (<< 2.7.15-2)
Replaces: libpython-stdlib (<< 2.7.15-2)
Description: interactive high-level object-oriented language (Python2)
 Python2, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: python2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.18~)
Suggests: python2 (= ${binary:Version})
Breaks: python-doc (<< 2.7.15-2)
Replaces: python-doc (<< 2.7.15-2)
Description: documentation for the high-level object-oriented language Python2
 This is the official set of documentation for the interactive high-level
 object-oriented language Python2 (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's Python2
 version (currently v2.7).

Package: python2-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: ${misc:Depends}, python2 (= ${binary:Version}), libpython2-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.18~)
Breaks: python-dbg (<< 2.7.15-2)
Replaces: python-dbg (<< 2.7.15-2)
Description: debug build of the Python2 interpreter (version 2.7)
 Python2 interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: libpython2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython2.7-dbg (>= 2.7.18~), ${misc:Depends}
Breaks: libpython-dbg (<< 2.7.15-2)
Replaces: libpython-dbg (<< 2.7.15-2)
Description: debug build of the Python2 interpreter (version 2.7)
 Python2 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -112,6 +112,7 @@
 	dh_testroot
 #	dh_installdirs -ppython usr/share/doc/python
 	dh_install
+	DESTDIR=debian/python2-minimal PREFIX=/usr make install-runtime
 
 	touch stamp-install
 
@@ -241,4 +242,3 @@
 
 	mkdir -p debian/libpython2-dbg/usr/bin
 	ln -sf $(DEB_HOST_MULTIARCH)-python$(VER)-dbg-config \
-		debian/libpython2-dbg/usr/bin/$(DEB_HOST_MULTIARCH)-python2-dbg-config

## python-defaults 2.7.18-3ubuntu1

=== debian/changelog ===
python-defaults (2.7.18-3ubuntu1) lunar; urgency=medium

  * Drop build-dependency on python-all

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Jan 2023 20:50:07 +0000

python-defaults (2.7.18-3build1) lunar; urgency=medium

  * No-change rebuild to work around failed binary copy

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Jan 2023 19:57:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.18~),
   lsb-release,
-  python-all:any,
   python2.7:any (>= 2.7.18~),
 Standards-Version: 4.5.0
 Homepage: https://www.python.org/
